
QGIS Application - Bug report #15317

the window Layer Properties gets irresponsive

2016-07-20 09:56 AM - Albert Teixido

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.10 Regression?: No

Operating System: opensuse kde, ubuntu 16.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23249

Description

When trying to add a new rule on rule based style on a vector layer the window does not respond...But does not seem frozen.

It can be resized and the content adjusts to new size but can not click or select anything

History

#1 - 2016-07-26 04:52 PM - Nyall Dawson

- Status changed from Open to Feedback

Can't reproduce - could it be possible the rule based symbol dialog opened on another screen or hidden behind a different application?

#2 - 2016-07-27 10:20 AM - Albert Teixido

Nyall Dawson wrote:

Can't reproduce - could it be possible the rule based symbol dialog opened on another screen or hidden behind a different application?

It really looks like the dialog is hidden, but I can't find it .

I tried to start qgis from a different user and same issue. So I installed lxde desktop and had the same problem.

Is anything I can do to help solving this issue?

#3 - 2016-07-28 01:33 PM - Albert Teixido

Also tried a fresh system install on a VM and had the same problem.

One thing I forgot to tell is that it happens most of the times but not always.

#4 - 2016-09-22 09:32 AM - Albert Teixido

Nyall Dawson wrote:

Can't reproduce - could it be possible the rule based symbol dialog opened on another screen or hidden behind a different application?

Seems that the  rule based symbol dialog is not hidden. I tried to locate it with wmctrl and is nowhere to be found... 

On first example I used categorized style and all window dialogs showed. On second example did the same with rule based style and symbol dialog is
missing.

using wmctrl to show all windows when editing categorized style:

wmctrl -l

0x02a00013 -1             N/A desktop — Plasma

0x02a0001c -1             N/A Plasma

0x05000024  2             N/A user : bash — Konsole

0x03200010  0 linux.site QGIS 2.16.2 - carrerer

0x0320036c  0 linux.site Layer Properties - fulls_A3 | Style

0x032003b4  0 linux.site Symbol selector

using wmctrl to show all windows when editing rule based style:

wmctrl -l

0x02a00013 -1             N/A desktop — Plasma

0x02a0001c -1             N/A Plasma

0x05000024  2             N/A user : bash — Konsole

0x03200010  0 linux.site QGIS 2.16.2 - carrerer

0x032003bf  0 linux.site Layer Properties - fulls_A3 | Style

#5 - 2016-12-04 06:13 PM - Marco Bernasocchi

- Affected QGIS version changed from 2.16.0 to 2.18.0

- Target version changed from Version 2.16 to Version 2.18

- Operating System changed from opensuse kde to opensuse kde, ubuntu 16.10

I also get the problem as described above in 2.18.1 on a Ubuntu 16.10 install from packages.

The dialog is not visible anywhere.

on windows 7 it works correctly

#6 - 2017-01-02 07:40 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.0 to 2.18.1

#7 - 2017-03-07 04:10 AM - Giovanni Manghi

- Category set to GUI

- Status changed from Open to Feedback

I have no issues here on Ubuntu and Kubuntu 16.04 on 2.18.4

#8 - 2017-03-24 10:00 AM - Albert Teixido

After reinstall of the whole system it worked fine for a while but now the problem is back again.

opensuse leap  42.2

Qgis 2.18.4

KDE Plasma Version 5.8.6
Qt Version 5.6.1

graphics nvidia Quadro 2000M

Tried also to delete the .qgis2 folder but didn't help.

#9 - 2017-04-25 11:22 AM - Tomasz Nycz

Problem is existing on QGIS 2.18.7/ Xubuntu 16.04.2 LTS. More info and somehow old gdb output here: #15493

In any questions, I will try to help with reproducing error, and generating gdb backtrace.

#10 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2017-05-14 07:28 AM - Philip Shepherd

This problem also occurs on a fedora24 system running qgis 2.18.(compiled from source branch release-2_18).

Log statements reveal that qgis freezes when openPanel is called in the QgsRuleBasedRendererV2Widget::editRule function

The freeze is "fixed" (it's possible to create an edit rule-based styles) by replacing QgsRuleBasedRendererV2Widget::editRule from release-2_18, with the

functions as it was in release-2_8:

void QgsRuleBasedRendererV2Widget::editRule( const QModelIndex& index ){

  if ( !index.isValid() )

    return;

  QgsRuleBasedRendererV2::Rule* rule = mModel->ruleForIndex( index );

QgsRendererRulePropsDialog dlg( rule, mLayer, mStyle, this );

  if ( dlg.exec() )

{

    // model should know about the change and emit dataChanged signal for the view

    mModel->updateRule( index.parent(), index.row() );

    mModel->clearFeatureCounts();

  }

}

Obviously, this is not a solution to the problem, but may be a useful clue.

#12 - 2017-05-15 04:49 PM - Giovanni Manghi

- Description updated

This is not getting much traction here, please raise your concerns in the developers mailing list.

#13 - 2017-07-23 04:15 PM - Leonid Titov

Just came here to mention that I've met this issue in 2.18.10 stable and current nightly build on Ubuntu Xenial.
#14 - 2017-09-25 04:47 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.1 to 2.18.10

#15 - 2017-12-30 10:28 AM - Patrick Dunford

Used to see this years ago.

Then didn't see it for a while

Now it's back

2.18.15

#16 - 2017-12-31 05:18 AM - Patrick Dunford

- File qgis.7z added

try removing the ~/.config/qgis directory (preferences files)

#17 - 2018-03-21 05:31 PM - Patrick Dunford

Affects 2.18.17

#18 - 2018-03-30 12:59 AM - Patrick Dunford

Although removing the preferences files fixes it, the problem recurred after upgrading from 2.18.17 to 2.18.18

#19 - 2018-05-16 07:29 PM - Isaac Boates

Had this affect me on Ubuntu 16.04 with Xubuntu, QGIS 2.18.16. I deleted ~/.config/qgis as suggested by Patrick Dunford but my folder was called

"QGIS". It also resolved the issue (at the cost of all my toolbar layouts, database connections, etc.)

#20 - 2018-06-07 09:35 AM - Mathieu Bossaert

Isaac Boates wrote:

Had this affect me on Ubuntu 16.04 with Xubuntu, QGIS 2.18.16. I deleted ~/.config/qgis as suggested by Patrick Dunford but my folder was called

"QGIS". It also resolved the issue (at the cost of all my toolbar layouts, database connections, etc.)

Good morning.

That works for the first rule to edit. I clicked ok and QGIZ froze on second rule :-(

#21 - 2018-06-07 09:36 AM - Mathieu Bossaert

Ubuntu 16.04 QGIS 2.18.17
#22 - 2019-03-09 03:09 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

qgis.png 261 KB 2016-07-20 Albert Teixido

terminal_output.txt 454 Bytes 2016-07-20 Albert Teixido

qgis.7z 17.3 KB 2017-12-31 Patrick Dunford
